#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  evolution-data-server-3.54.3

- Next

  localsearch-3.8.2

- Up
- Home

# tinysparql-3.8.2

## Introduction to Tinysparql

Tinysparql is a low-footprint RDF triple store with a SPARQL 1.1 interface.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/tinysparql/3.8/tinysparql-3.8.2.tar.xz

- Download MD5 sum: 9c3ab085fe15b55acfd956c039819a00

- Download size: 2.0 MB

- Estimated disk space required: 53 MB (with tests)

- Estimated build time: 0.4 SBU (with tests)

### Tinysparql Dependencies

#### Required

JSON-GLib-1.10.6 and Vala-0.56.17

#### Recommended

GLib-2.82.5 (with GObject Introspection), ICU-76.1, libsoup-3.6.4, localsearch-3.8.2 (runtime), PyGObject-3.50.0, and SQLite-3.49.1

#### Optional

asciidoc-10.2.1, Avahi-0.8, Graphviz-12.2.1, and bash-completion

## Installation of Tinysparql

Fix the location to install the documentation into:

    mv docs/reference/libtracker-sparql/doc/{Tsparql-3.0,tinysparql-3.8.2} &&
    sed '/docs_name/s/Tsparql-3.0/tinysparql-3.8.2/' \
        -i docs/reference/libtracker-sparql/meson.build

Install Tinysparql by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr                  \
                --buildtype=release            \
                -D man=false                   \
                -D systemd_user_services=false \
                ..                            &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: meson configure -D debug=true && LC_ALL=C ninja test. The test suite should be run from a graphical session. One test is known to fail due to the manual pages not being generated.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D man=false`: This switch prevents the build process from generating man pages. Omit this switch if you have asciidoc-10.2.1 installed and wish to generate and install the man pages.

`-D systemd_user_services=false`: This switch prevents the build process from installing systemd user services since they are useless on SysV systems.

meson configure -D debug=true: This command enables some debug checks necessary for the test suite. We don't want to enable them for the installed tinysparql libraries and programs, so we run the test suite after installation.

## Contents

Installed Programs: tinysparql
Installed Library: libtinysparql-3.0.so and libtracker-sparql-3.0.so
Installed Directories: /usr/{include,lib}/tinysparql-3.0 and /usr/share/doc/tinysparql-3.8.2 (optional)

### Short Descriptions

tinysparql | is a control program for TinySPARQL databases
`libtinysparql-3.0.so` | contains functions for administering TinySPARQL databases
`libtracker-sparql-3.0.so` | contains resource management and database functions

- Prev

  evolution-data-server-3.54.3

- Next

  localsearch-3.8.2

- Up
- Home